Bug 462267 - autofs does not log enough data to troubleshoot replicated server selection
autofs does not log enough data to troubleshoot replicated server selection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ian Kent
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 23:18 EDT by Ian Kent
Modified: 2009-05-18 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add debug log messages to replicated server selection code (5.17 KB, patch)
2009-03-09 00:34 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2008-09-14 23:18:30 EDT
+++ This bug was initially created as a clone of Bug #252032 +++

+++ This bug was initially created as a clone of Bug #240972 +++

Description of problem:
In the past, autofs has chosen an overloaded server instead of a lightly loaded
server.  In order to debug such problems, it would be useful to have more
insight into what the autofs daemon is doing.  Some simple logging statements in
the replicated server selection code should do the trick.

Version-Release number of selected component (if applicable):
autofs-4.1.3-199.2

-- Additional comment from jmoyer@redhat.com on 2007-08-13 14:14 EST --
Created an attachment (id=161196)
Add a daemon option to set the log priority at run-time.


-- Additional comment from jmoyer@redhat.com on 2007-08-13 14:17 EST --
(In reply to comment #1)
> Created an attachment (id=161196) [edit]
> Add a daemon option to set the log priority at run-time.

Heh.  Wrong bug!  This was meant for bz 240973.

-- Additional comment from jmoyer@redhat.com on 2007-08-13 16:27 EST --
Created an attachment (id=161222)
Log debug information to help troubleshoot replicated server problems.

--- Additional comment from ikent@redhat.com on 2008-01-24 05:23:13 EDT ---

Sorry, didn't have enough time to get this into RHEL-5.2.

--- Additional comment from pm-rhel@redhat.com on 2008-06-02 16:33:42 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 1 RHEL Product and Program Management 2008-09-24 16:25:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Ian Kent 2009-03-09 00:34:28 EDT
Created attachment 334463 [details]
Patch to add debug log messages to replicated server selection code
Comment 9 errata-xmlrpc 2009-05-18 16:30:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1010.html

Note You need to log in before you can comment on or make changes to this bug.